// aikacl04.cpp - sisinen tilan valvonta asetuksessa
#include <iostream.h>
#include <iomanip.h>

class cAika {
  int h,m;
public:
  void korjaa() { m += h*60; h = m / 60; m %= 60; }
  void aseta(int ih,int im=0) {
    h = ih; m = im; korjaa();
  }
  cAika(int ih=0, int im=0) { aseta(ih,im);   }
  void lisaa(int lisa_min)  { m += lisa_min; korjaa(); }
  void tulosta() const  {
    cout << setfill('0') << setw(2) << h << ":" << setw(2) << m << endl;
  }
};


int main(void)
{
  cAika a1, a2(13), a3(14,175);
  a1.tulosta(); a2.tulosta();  a3.tulosta();
  a1.aseta(12,15); a2.aseta(16,-15);
  a1.tulosta(); a2.tulosta();
  return 0;
}

