// aikacla6.cpp - laajentaminen muuttamalla kantaluokkaa
#include <iostream.h>
#include <iomanip.h>

class cAika {
  int h,m,s;                                  // listty s
public:
  cAika(int ih=0, int im=0, int is=0);        // listty is=0
  void aseta(int ih,int im=0, int is=0);      // listty is=0
  void lisaa(int lisa_min, int lisa_sek=0);   // listty lisa_sek=0
  void tulosta(int tulsek=0) const;           // listty tullisa_sek=0
};

void cAika::aseta(int ih,int im, int is)      // listty is
{
  s = is; h = ih; m = im;  lisaa(0,0);        // listty s=is ja ,0
}

cAika::cAika(int ih, int im, int is)          // listty int is
{
  aseta(ih,im,is);
}

void cAika::lisaa(int lisa_min, int lisa_sek) // listty int lisa_sek
{
  s += lisa_sek;                                  // listty
  int yht_min = h * 60 + m + lisa_min + s / 60;   // listty s / 60
  s = s % 60;                                     // listty
  h = yht_min / 60;
  m = yht_min % 60;
}

void cAika::tulosta(int tulsek) const         // listty int tulsek
{
  cout << setfill('0') << setw(2) << h << ":" << setw(2) << m;
  if ( tulsek ) cout << ":" << setw(2) << s;  // listty
  cout << endl;
}

int main(void)
{
  cAika a1, a2(13), a3(14,175);               // ei muutoksia!
  a1.tulosta(); a2.tulosta();  a3.tulosta();
  a1.aseta(12,15); a2.aseta(16,-15);
  a1.tulosta(); a2.tulosta();
  cAika a4(12,55,45); a4.tulosta(1);          // listty uusi
  a4.lisaa(3,30);     a4.tulosta(1);
  return 0;
}

