// aikacla7.cpp - laajentaminen koostamalla
#include <iostream.h>
#include <iomanip.h>

class cAika {
  int h,m;
public:
  void aseta(int ih,int im=0) {
    h = ih; m = im; lisaa(0);
  }
  cAika(int ih=0, int im=0) { aseta(ih,im); }
  void lisaa(int lisa_min)  {
    int yht_min = h * 60 + m + lisa_min;
    h = yht_min / 60;
    m = yht_min % 60;
  }
  void tulosta(int lf=1) const  {
    cout << setfill('0') << setw(2) << h << ":" << setw(2) << m;
    if ( lf ) cout << endl;
  }
};

class cAikaSek {
  cAika hm;
  int s;
public:
  void aseta(int ih=0, int im=0, int is=0) {
    s = is; hm.aseta(ih,im); lisaa(0);
  }
  cAikaSek(int ih=0, int im=0, int is=0) { aseta(ih,im,is); }
  void lisaa(int lisa_min, int lisa_sek=0) {
    s += lisa_sek;
    hm.lisaa(lisa_min+s/60);
    s %= 60;
  }
  void tulosta(int lf=1) const  {
    hm.tulosta(0);
    cout <<  ":" << setw(2) << s;
    if ( lf ) cout << endl;
  }

private :
};


int main(void)
{
  cAika a1, a2(13), a3(14,175);
  a1.tulosta(); a2.tulosta();  a3.tulosta();
  a1.aseta(12,15); a2.aseta(16,-15);
  a1.tulosta(); a2.tulosta();
  cAikaSek a4(12,55,45); a4.tulosta(1);        // listty uusi
  a4.lisaa(3,30);     a4.tulosta(1);
  return 0;
}

